Page MenuHomePhabricator

Create Wikivoyage Vietnamese
Closed, ResolvedPublic

Description

The language committee and WMF Board have approved the creation of Wikivoyage Vietnamese.

Language code: vi
Site URL: vi.wikivoyage.org
Project name: Wikivoyage
Project namespace: Wikivoyage
Project talk namespace: Thảo luận Wikivoyage
Project logo: http://commons.wikimedia.org/wiki/File:Wikivoyage-logo-en.svg
Timezone: Asia/Hanoi
Enable uploads: No

Please also remember that the UserMerge extension does not need to be activated, as this Wikivoyage had no predecessor in Wikitravel.

Thank you.


Version: wmf-deployment
Severity: enhancement
URL: //meta.wikimedia.org/wiki/Requests_for_new_languages/Wikivoyage_Vietnamese

Details

Reference
bz52034

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:47 AM
bzimport set Reference to bz52034.

Removing incorrect "ops" keyword and setting "shell" keyword.
Assigning to Reedy.

mxn added a comment.Aug 4 2013, 8:17 PM

Is there anything left for us to do on our end? It looks like the patch would be very similar to r64127.

Reedy added a comment.Aug 8 2013, 8:50 AM

(In reply to comment #2)

Is there anything left for us to do on our end? It looks like the patch would
be very similar to r64127.

Noting that r64127 points to CodeReview at https://www.mediawiki.org/wiki/Special:Code/MediaWiki/64127

But no, there shouldn't be anything else to do from your side. The basic configuration has been specified, so it just needs creating and configuring

Change 78347 had a related patch set uploaded by Dzahn:
add timezone for vi.wikivoyage (bug 52034)

https://gerrit.wikimedia.org/r/78347

Change 78355 had a related patch set uploaded by Dzahn:
wgSitename for vi.wikivoyage (bug 52034)

https://gerrit.wikimedia.org/r/78355

(In reply to comment #6)

http://incubator.wikimedia.org/wiki/Talk:Wy/vi/Trang_Ch%C3%ADnh

Per the settings table on https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikivoyage_Vietnamese filled out by Vietnamese Wikivoyage contributors I already mentioned these data in comment #0:

Project name: Wikivoyage
Timezone: Asia/Hanoi

And won't the namespaces names always be localised according to what is in MessagesVi.php if the site lang is set to vi?

cheerswiki wrote:

(In reply to comment #6)

http://incubator.wikimedia.org/wiki/Talk:Wy/vi/Trang_Ch%C3%ADnh

For ''Wikivoyage Vietnam'', it should be translated to '''Wikivoyage tiếng Việt'''.

Timezone Asia/Hanoi is not in the list of [http://www.php.net/manual/en/timezones.asia.php this] we can use Asia/Ho_Chi_Minh if we can not create Asia/Hanoi.

"Talk" --> "Thảo luận".

Other namespaces you can keep in English.

Regards,

(In reply to comment #8)

For ''Wikivoyage Vietnam'', it should be translated to '''Wikivoyage tiếng
Việt'''.

I do however not think the sitename should be "Wikivoyage Vietname" or its translation. el.wikivoyage is not called "Wikivoyage Greece" either (just as an example).

cheerswiki wrote:

Just proposal, Vietnamese Wikipedia is "Wikipedia, bách khoa toàn thư mở". Is Vietnamese Wikivoyage "Wikivoyage, cẩm nang du lịch mở" or just "Wikivoyage".

Reedy added a comment.Aug 11 2013, 4:55 AM

Do we know what we are doing yet? Noting they can be changed later on...

This is about the only thing blocking creating this wiki

I guess "Wikivoyage" and Asia/Ho_Chi_Minh then...

Change 78355 abandoned by Reedy:
wgSitename for vi.wikivoyage (bug 52034)

Reason:
Just going to use the default

https://gerrit.wikimedia.org/r/78355

Change 78347 merged by jenkins-bot:
add timezone for vi.wikivoyage (bug 52034)

https://gerrit.wikimedia.org/r/78347

Change 78636 had a related patch set uploaded by Reedy:
Disable upload on viwikivoyage

https://gerrit.wikimedia.org/r/78636

Change 78636 merged by jenkins-bot:
Disable upload on viwikivoyage

https://gerrit.wikimedia.org/r/78636

cheerswiki wrote:

May be the creation is not finished yet. I found the links to other sister project isn't works, and the interwiki link via wikdata redirect to wikipedia, not to other wikivoyage projects. Report!

Some people have been discussing/investigating this in #wikimedia-tech. They might be stuck and have to wait for the Wikidata team to get back to Berlin to help investigate.

cheerswiki wrote:

(In reply to comment #17)

Request to create lucene indexes in
https://rt.wikimedia.org/Ticket/Display.html?id=5589

:Hi, I wonder Vietnamese Wikivoyage can't use the search tool to look for item which are unexisted or appear red link for creating. For example, I look for [Tam Kỳ] (City), it gives [Error opening index.], please see http://vi.wikivoyage.org/w/index.php?search=Tam+K%E1%BB%B3&button=&title=%C4%90%E1%BA%B7c_bi%E1%BB%87t%3AT%C3%ACm_ki%E1%BA%BFm

Thanks inadvance!
Best Reagards,

mxn added a comment.Aug 17 2013, 8:58 PM

RT is the Wikimedia Operations team's instance of [[w:Request Tracker]]. [1] I don't have access to it, but it sounds like it does cover the work to get search working on this wiki.

[1] https://wikitech.wikimedia.org/wiki/RT

https://rt.wikimedia.org/Ticket/Display.html?id=5589
I don't have access to it

I have CC'ed you both on the RT ticket.

Verified in Wikidata demo time